const fs = require('fs');
const standardTests = require('passwordless-tokenstore-test');
const Sqlite3Store = require('../lib/sqlite3store.js');

let testDb = "testDb.sql";

let TokenStoreFactory = () => {
	return new Sqlite3Store(testDb);
};

let cleanDatabase = (done) => {
	if (fs.exists(testDb)) {
		fs.unlink(testDb);
	}
	done();
};

let beforeEachTest = function(done) {
	done();
};

let afterEachTest = function(done) {
	cleanDatabase(done);
};

// Call the test suite
standardTests(TokenStoreFactory, beforeEachTest, afterEachTest, 3000);

describe('Your specific tests', function() {

	beforeEach(function(done) {
		beforeEachTest(done);
	})

	afterEach(function(done) {
		afterEachTest(done);
	})

});